Package org.gitana.platform.client.billing

# Class PaymentMethodImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.billing.PaymentMethodImpl

All Implemented Interfaces:
  `Serializable`, `PaymentMethod`, `Selfable`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class PaymentMethodImpl extends org.gitana.platform.support.GitanaObjectImpl implements PaymentMethod

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.billing.PaymentMethod

`FIELD_EXPIRATION_MONTH, FIELD_EXPIRATION_YEAR, FIELD_HOLDER_NAME, FIELD_ID, FIELD_NUMBER, FIELD_NUMBER_LAST4, FIELD_NUMBER_MASKED, FIELD_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`PaymentMethodImpl(Tenant tenant, com.fasterxml.jackson.databind.node.ObjectNode obj)`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
Delete
`boolean`
`equals(Object object)`
`protected Driver`
`getDriver()`
`int`
`getExpirationMonth()`
`int`
`getExpirationYear()`
`String`
`getHolderName()`
`String`
`getId()`
`String`
`getNumber()`
`String`
`getNumberLastFour()`
`String`
`getNumberMasked()`
`protected Remote`
`getRemote()`
`protected String`
`getResourceUri()`
`protected Tenant`
`getTenant()`
`String`
`getType()`
`void`
`reload()`
Reload
`void`
`setExpirationMonth(int expirationMonth)`
`void`
`setExpirationYear(int expirationYear)`
`void`
`setHolderName(String holderName)`
`void`
`setNumber(String number)`
`void`
`update()`
Update

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

## Constructor Details

### PaymentMethodImpl

public PaymentMethodImpl(Tenant tenant, com.fasterxml.jackson.databind.node.ObjectNode obj)

## Method Details

### getDriver

protected Driver getDriver()

### getRemote

protected Remote getRemote()

### getTenant

protected Tenant getTenant()

### getId

public String getId()

Specified by:
  `getId` in interface `PaymentMethod`

### getResourceUri

protected String getResourceUri()

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### update

public void update()
Description copied from interface: `Selfable`
Update

Specified by:
  `update` in interface `Selfable`

### delete

public void delete()
Description copied from interface: `Selfable`
Delete

Specified by:
  `delete` in interface `Selfable`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`

### getExpirationMonth

public int getExpirationMonth()

Specified by:
  `getExpirationMonth` in interface `PaymentMethod`

### setExpirationMonth

public void setExpirationMonth(int expirationMonth)

Specified by:
  `setExpirationMonth` in interface `PaymentMethod`

### getExpirationYear

public int getExpirationYear()

Specified by:
  `getExpirationYear` in interface `PaymentMethod`

### setExpirationYear

public void setExpirationYear(int expirationYear)

Specified by:
  `setExpirationYear` in interface `PaymentMethod`

### getHolderName

public String getHolderName()

Specified by:
  `getHolderName` in interface `PaymentMethod`

### setHolderName

public void setHolderName(String holderName)

Specified by:
  `setHolderName` in interface `PaymentMethod`

### getNumber

public String getNumber()

Specified by:
  `getNumber` in interface `PaymentMethod`

### setNumber

public void setNumber(String number)

Specified by:
  `setNumber` in interface `PaymentMethod`

### getNumberLastFour

public String getNumberLastFour()

Specified by:
  `getNumberLastFour` in interface `PaymentMethod`

### getNumberMasked

public String getNumberMasked()

Specified by:
  `getNumberMasked` in interface `PaymentMethod`

### getType

public String getType()

Specified by:
  `getType` in interface `PaymentMethod`